Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Event_Channel_Holder Class Reference

Utility for automatically destroying the Event Channel. More...

`#include <EC_Lifetime_Utils.h>`

List of all members.

## Public Methods
| TAO_EC_Event_Channel_Holder (void)
| Constructor. No-op.
| ~TAO_EC_Event_Channel_Holder (void)
| Destructor. If holding an Event Channel, destroy it.
void | init (RtecEventChannelAdmin::EventChannel_var ec_var)
## Private Methods
TAO_EC_Event_Channel_Holder & | operator= (const TAO_EC_Event_Channel_Holder &rhs)
| TAO_EC_Event_Channel_Holder (const TAO_EC_Event_Channel_Holder &rhs)
## Private Attributes
RtecEventChannelAdmin::EventChannel_var | ec_
| EC to be destroyed.

## Detailed Description

Utility for automatically destroying the Event Channel.

Holds a reference to an Event Channel, and calls destroy() on it in the destructor.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Event_Channel_Holder::TAO_EC_Event_Channel_Holder | ( | void |  | ) |

| Constructor. No-op.

ACE_INLINE TAO_EC_Event_Channel_Holder::~TAO_EC_Event_Channel_Holder | ( | void |  | ) |

| Destructor. If holding an Event Channel, destroy it.

TAO_EC_Event_Channel_Holder::TAO_EC_Event_Channel_Holder | ( | const TAO_EC_Event_Channel_Holder & | rhs | ) | `[private]`

## Member Function Documentation

ACE_INLINE void TAO_EC_Event_Channel_Holder::init | ( | RtecEventChannelAdmin::EventChannel_var | ec_var | ) |

| Set the Event Channel to be destroyed in destructor to ec_var. If TAO_EC_Event_Channel_Holder already held an Event Channel prior to invocation of this method, that Event Channel is NOT destroyed.

TAO_EC_Event_Channel_Holder& TAO_EC_Event_Channel_Holder::operator= | ( | const TAO_EC_Event_Channel_Holder & | rhs | ) | `[private]`

## Member Data Documentation

RtecEventChannelAdmin::EventChannel_var TAO_EC_Event_Channel_Holder::ec_`[private]`

| EC to be destroyed.

The documentation for this class was generated from the following files:

- EC_Lifetime_Utils.h
- EC_Lifetime_Utils.i